%define anolis_release 2
%global install_dir %{buildroot}%{_bindir}

Name:           vtable-dumper
Version:        1.2
Release:        %{anolis_release}%{?dist}
Summary:        A tool to list content of virtual tables in a C++ shared library

License:        GPL+ or LGPLv2+
URL:            https://github.com/lvc/vtable-dumper
Source0:        %{url}/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: make gcc gcc-c++ elfutils-libelf-devel

%description
The tool is intended for developers of software libraries
and maintainers of Linux distributions who are interested
in ensuring backward binary compatibility.

%package doc
Summary: Doc files for vtable-dumper
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
Doc files for vtable-dumper

%prep
%autosetup -p1

%build
%make_build LDFLAGS="$RPM_LD_FLAGS" CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{install_dir}
install -pm 0755 %{name} %{install_dir}/

%generate_compatibility_deps

%files
%license LICENSE
%dir %{abidir}
%{_bindir}/%{name}
%{abidir}/vtable-dumper-option.list

%files doc
%doc INSTALL README

%changelog
* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.2-2
- optimize spec

* Mon Oct 24 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.2-1
- init from upstream
